View Issue Details

IDProjectCategoryView StatusLast Update
0002397SymmetricDSImprovementpublic2015-10-02 10:23
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.22 
Target Version3.7.22Fixed in Version3.7.22 
Summary0002397: Add support for Oracle interval data type
Descriptionhttps://sourceforge.net/p/symmetricds/discussion/739236/thread/41c2515a/?limit=25#ead8

CREATE TABLE product_information
    ( product_id NUMBER(6) CONSTRAINT product_product_id_nn NOT NULL
    , product_name VARCHAR2(50) CONSTRAINT product_product_name_nn NOT NULL
    , product_description VARCHAR2(2000)
    , category_id NUMBER(4) CONSTRAINT product_category_id_nn NOT NULL
    , weight_class NUMBER(1)
    , warranty_period INTERVAL YEAR TO MONTH
    , supplier_id NUMBER(6)
    , product_status VARCHAR2(20)
    , list_price NUMBER(8,2)
    , min_price NUMBER(8,2)
    , catalog_url VARCHAR2(50)
    , CONSTRAINT product_status_lov
                            CHECK (product_status in ('orderable'
                                                  ,'planned'
                                                  ,'under development'
                                                  ,'obsolete')
                               )
    )
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 6ee33acd

2015-09-24 16:25:16

chenson

Details Diff
0002397: Add support for Oracle interval data type
0002397
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2015-09-22 16:24 chenson New Issue
2015-09-22 16:24 chenson Status new => assigned
2015-09-22 16:24 chenson Assigned To => chenson
2015-09-24 11:34 chenson Fixed in Version => 3.7.22
2015-09-24 16:25 chenson Status assigned => resolved
2015-09-24 16:25 chenson Resolution open => fixed
2015-09-24 17:00 chenson Changeset attached => SymmetricDS 3.7 6ee33acd
2015-10-02 10:23 chenson Status resolved => closed